@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');

/* RESET */

*,
*::before,
*::after {
    box-sizing: border-box;
}

html, body {
    margin: 0;
    padding: 0;
}

/* DESIGN TOKENS */

:root {
    --color-background: black;
    --color-text: white;
    --color-primary: #b990ff;
    --color-secondary: #642ebf;
    --color-accent: #5a3ad9;
    --font-family-base: "Montserrat", Helvetica, sans-serif;
}

/* BASE STYLES */

body {
    font-family: var(--font-family-base);
    background:
        radial-gradient(
            800px circle at 20% 20%,
            rgba(185, 144, 255, 0.15),
            transparent 40%
        ),
        radial-gradient(
            600px circle at 80% 30%,
            rgba(90, 58, 217, 0.12),
            transparent 45%
        ),
        radial-gradient(
            700px circle at 50% 80%,
            rgba(100, 46, 191, 0.1),
            transparent 50%
        ),
        radial-gradient(
            1000px circle at 50% 50%,
            rgba(134, 109, 179, 0.3),
            transparent 50%
        ),
        var(--color-background);
    color: var(--color-text);
    font-size: 16px;
    min-height: 100svh;
}

main {
    width: 100vw;
    height: 95svh;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}

.hero {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    margin-bottom: 5svh;
}

h1 {
    font-size: clamp(3rem, 6vw, 8vw);
    margin: 0;
}

h2 {
    font-size: clamp(1rem, 2vw, 6vw);
    margin: 0;
    text-align: right;
    color: var(--color-primary);
}

.names {
    width: 20vw;
}

section {
    margin: 0 10svw;
    width: 60vw;
    max-width: 500px;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

section ul {
    margin-top: 0;
}

h3 {
    color: var(--color-primary);
    font-size: 1.3rem;
}

svg {
    transition: fill 0.3s ease;
    color: var(--color-text);
}

svg:hover {
    fill: var(--color-accent);
    cursor: pointer;
}

.contact-box {
    width: 90%;
    display: flex;
    justify-content: space-between;
}

.contact-wrapper {
    display: flex;
    justify-content: center;
}

footer {
    color: var(--color-secondary);
    height: 5svh;
    text-align: center;
}

/* RESPONSIVITY */

@media (max-width: 800px) {
    .names {
        width: 10rem;
    }
}

@media (max-width: 426px) {
    svg {
        width: 40px;
        height: 40px;
    }

    section {
        width: 85vw;
    }
}